Subject: bug#53881: GNOME Settings: View Keyboard Layout doesn't work

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 16 Feb 2022 13:37:55 +0100

Hi Luis,

Am Dienstag, dem 08.02.2022 um 18:23 +0000 schrieb Luis Felipe:
> hi,
> 
> I'm using the following system and I can't see the keyboard layout
> for any of the input sources:
> 
> guix 579e9e9
> OS: Guix System x86_64 
> 
> Kernel: 5.15.19-gnu 
> 
> DE: GNOME 41.0 
> 
> 
> STEPS TO REPRODUCE
> 
> 1. Run gnome-control-center in a terminal
> 2. Select Keyboard in the left panel
> 3. In Input Sources, click the three vertical dots button on any of
> the listed sources (in my case, Spanish (Latin American), Japanese
> (Anthy))
> 4. Click View Keyboard Layout
> 
> EXPECTED RESULT
> 
> You should see a window opens displaying a keyboard graphic with all
> the characters and symbols you can type by using any of the keys.
> 
> UNEXPECTED RESULT
> 
> No window is displayed at all. 
So I dug down the code to check what happens there, and the actual
handling code appears rather simple (see [1]).  However, an immediate
error also stands out in that "gkbd-keyboard-display" likely won't be
installed globally.  This command comes from libgnomekbd, which is
already an input to gnome-control-center.  Therefore, we only need to
patch in its full path in an after-unpack substitute*

Cheers

> Also, the terminal doesn't print any errors.
Quality GNOME software :P

[1]
https://gitlab.gnome.org/GNOME/gnome-control-center/-/blob/41.0/panels/keyboard/cc-input-list-box.c#L212-L233